/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dbEntity;

import java.util.Date;

/**
 * 广告实体类
 * 
 * @author tangwc
 * @version 2018-06-05
 */
public class MdeAdImages extends BaseEntity {

	private static final long serialVersionUID = 1L;
	private int adId; // 广告图片id
	private String adPosition; // 广告位id(字典表维护)[1-登录页；2-主页顶部；3-主页广告1；4-主页广告；5-职位页顶部；6-人才页顶部；7-职位详情页底部；8-个人中心页顶部；9-套餐页顶部]
	private String adTitle; // 图片标题
	private String adHyperlink; // 跳转链接
	private String imageUrl; // 图片地址
	private int sortKey; // 排序字段
	private Date startTime; // 启用时间
	private Date stopTime; // 截止时间
	private String validFlag; // 长期有效标识[0-长期有效；1-阶段有效]

	public MdeAdImages() {
		super();
	}

	public int getAdId() {
		return adId;
	}

	public void setAdId(int adId) {
		this.adId = adId;
	}

	public String getAdPosition() {
		return adPosition;
	}

	public void setAdPosition(String adPosition) {
		this.adPosition = adPosition;
	}

	public String getAdTitle() {
		return adTitle;
	}

	public void setAdTitle(String adTitle) {
		this.adTitle = adTitle;
	}

	public String getAdHyperlink() {
		return adHyperlink;
	}

	public void setAdHyperlink(String adHyperlink) {
		this.adHyperlink = adHyperlink;
	}

	public String getImageUrl() {
		return imageUrl;
	}

	public void setImageUrl(String imageUrl) {
		this.imageUrl = imageUrl;
	}

	public int getSortKey() {
		return sortKey;
	}

	public void setSortKey(int sortKey) {
		this.sortKey = sortKey;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getStopTime() {
		return stopTime;
	}

	public void setStopTime(Date stopTime) {
		this.stopTime = stopTime;
	}

	public String getValidFlag() {
		return validFlag;
	}

	public void setValidFlag(String validFlag) {
		this.validFlag = validFlag;
	}

}